class RGB
	attr_reader :r, :g, :b

	def initialize(array)
		@r = array[0]
		@g = array[1]
		@b = array[2]
	end

	def [](int)
		case int
		when 0
			@r
		when 1
			@g
		when 2
			@b
		else
			raise "Out of bounds"
		end	
	end
end

def rgbify(hex)
	if hex[0] == "#" && hex.length == 7
		x = hex[1..-1]
		array = []
		x = x.scan(/.{2}/)
		x.each do |y|
			array << y.hex
		end
		return RGB.new(array)
	else
		raise "Please Input valid Hexcode i.e. #ffffff"
	end
end